Name: rsyslog
Version: 3.20.2
Release: alt2

Summary: Rsyslog is an enhanced syslogd suitable both for small systems as well as large enterprises
License: GPLv3
Group: System/Kernel and hardware
Url: http://www.rsyslog.com
Provides: syslogd-daemon
PreReq: syslog-common

Packager: Ivan Fedorov <ns@altlinux.org>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Sun Nov 02 2008
BuildRequires: gcc-c++ glibc-devel-static librelp-devel postgresql-devel zlib-devel

%description
This package contains rsyslogd wich provide support for system logging.
syslogd runs as daemon (background process) and logs system messages to
different places according to a configuration file.

%package pgsql
Summary:  %name output module for PgSQL
Group: System/Kernel and hardware

%description pgsql
%summary

%package docs-html
Summary: html docs for %name
Group: System/Kernel and hardware

%description docs-html
%summary

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
    --libdir=/%_lib \
    --sbindir=/sbin \
    --enable-pgsql \
    --enable-mail \
    --enable-relp \
    --enable-imfile \
    --enable-imtemplate \
    --with-gnu-ld \
    --with-pic \

%make_build

%install
%makeinstall prefix=%buildroot libdir=%buildroot/%_lib sbindir=%buildroot/sbin
rm -f %buildroot/%_lib/rsyslog/*.la

mkdir -p %buildroot{%_docdir/%name-%version/html/,%_sysconfdir/{sysconfig,%name.d},%_initdir}

install -m644 doc/*html %buildroot%_docdir/%name-%version/html/
install -m644 doc/*png %buildroot%_docdir/%name-%version/html/
install -m644 doc/*jpg %buildroot%_docdir/%name-%version/html/

install -m644 plugins/ompgsql/createDB.sql %buildroot%_docdir/%name-%version/ompgsql-createDB.sql

install -m644 doc/rsyslog-example.conf %buildroot%_docdir/%name-%version/
install -m644 rsyslog.conf %buildroot%_docdir/%name-%version/
install -m644 sample.conf %buildroot%_docdir/%name-%version/

install -m644 rsyslog.conf.alt %buildroot%_sysconfdir/%name.conf
install -m644 rsyslogd.alt %buildroot%_sysconfdir/sysconfig/rsyslogd
install -m644 rsyslogd.init %buildroot%_initdir/rsyslogd


%files
%config(noreplace) %attr(640,root,adm) %_sysconfdir/%name.conf
%dir %_sysconfdir/%name.d/
%config(noreplace) %_sysconfdir/sysconfig/rsyslogd
%config %_initdir/rsyslogd

%dir /%_lib/rsyslog
/%_lib/rsyslog/*.so
%exclude /%_lib/rsyslog/ompgsql.so
/sbin/rsyslogd

%_mandir/man?/rsyslog*

%dir %_docdir/%name-%version
%_docdir/%name-%version/*
%exclude %_docdir/%name-%version/html
%exclude %_docdir/%name-%version/ompgsql-createDB.sql

%files pgsql
/%_lib/rsyslog/ompgsql.so
%_docdir/%name-%version/ompgsql-createDB.sql

%files docs-html
%dir %_docdir/%name-%version/html
%_docdir/%name-%version/html/*

%changelog
* Tue Jan 13 2009 Ivan Fedorov <ns@altlinux.org> 3.20.2-alt2
- add configs & init-script
- update from upstream
- extract pgsql support to subpackage

* Sat Dec 20 2008 Ivan Fedorov <ns@altlinux.org> 3.20.2-alt1
- 3.20.2
  + security fix
- change prefix from /usr to /.

* Fri Nov 07 2008 Ivan Fedorov <ns@altlinux.org> 3.20.0-alt1
- 3.20.0

* Sun Nov 02 2008 Ivan Fedorov <ns@altlinux.org> 3.18.5-alt1
- Initial build for ALT Linux
